Commits

Mike Steder committed 93e5b61

Saving these setup scripts for later.

  • Participants
  • Parent commits a79288b

Comments (0)

Files changed (2)

File setup_pymacs.sh

+#! /usr/bin/env bash
+
+set -e -u -x
+
+EMACS_D=$PWD/emacs.d
+PYMACS_D=$PWD/pkg/Pymacs
+PYMACS_EL=$PWD/pkg/Pymacs/pymacs.el
+
+mkdir -p pkg
+
+if [ ! -d $PYMACS_D ]; then
+    git clone git@github.com:steder/Pymacs.git $PYMACS_D
+else
+    echo "Already checked out Pymacs..."
+fi
+
+pushd $PYMACS_D
+make
+make install
+popd
+ln -sf $PYMACS_EL $EMACS_D
+

File setup_rope.sh

+#! /usr/bin/env bash
+
+set -e -u -x
+
+EMACS_D=$PWD/emacs.d
+ROPEEMACS_PKG="$PWD/pkg/agr-ropeemacs-7af544334b85.tar.gz"
+ROPEEMACS_D=$PWD/pkg/Rope
+
+ROPEMODE_D=$PWD/pkg/ropemode-0.1-rc2
+ROPE_EL=$PWD/pkg/Rope/rope.el
+
+mkdir -p pkg
+
+#brew install rope
+
+pushd $ROPEMODE_D
+python setup.py install
+popd
+
+if [ ! -d $ROPEEMACS_D ]; then
+    echo "Alternatively unpack pkg/rope.tar.gz as $ROPEEMACS_D"
+    hg clone https://bitbucket.org/agr/ropemacs $ROPEEMACS_D
+else
+    echo "Already cloned hg repo Rope..."
+fi
+
+pushd $ROPEEMACS_D
+python setup.py install
+popd
+